/* Responsiveness */

@media (max-width: 991px) {
  .sidebar {
    position: fixed;
    left: -250px;
    top: 0;
    width: 220px;
    transition: left 0.3s;
    z-index: 999;
  }

  .sidebar.active {
    left: 0;
  }

  .menu-toggle {
    display: block;
    cursor: pointer;
  }

  .overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 998;
  }

  .overlay.active {
    display: block;
  }
}

/* Global Styles */
body {
  background-color: #f6f6fb;
  font-family: "Inter", sans-serif;
  overflow-x: hidden;
}

/* Sidebar */
.sidebar {
  background-color: #003366;
  min-height: 100vh;
  /* padding-top: 20px; */
}

.sidebar .nav-link {
  color: #b5c0d0;
  font-weight: 500;
  padding: 12px 20px;
  border-radius: 5px;
}

.sidebar .nav-link.active,
.sidebar .nav-link:hover {
  background-color: #00264d;
  color: #fff;
}

.logo {
  background-color: #fff;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
}

.sidebar .logo img {
  width: 55%;
  margin: 0 auto 30px;
  display: block;
  /* border:2px solid red; */
  background-color: white;
}

.sidebar-container {
  display: block;
  position: sticky;
  top: 0;
  left: 0;
  padding-top: 1rem;
}

/* Top Bar */
.topbar {
  background-color: #fff;
  padding: 15px 25px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #eee;
  flex-wrap: wrap;
  gap: 10px;
  position: sticky;
  top: 0px;
  z-index: 100;
}

.topbar .search-box {
  position: relative;
  max-width: 250px;
}

.topbar .search-box input {
  padding-left: 30px;
  border-radius: 25px;
}

.topbar .search-box i {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #aaa;
}

/* .dataTables_filter .input {
  position: relative;
  max-width: 250px;
} */

.dataTables_filter input {
  padding: 0.2rem 1rem;
  border-radius: 5px;
}

.dataTables_filter .search-box i {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #aaa;
}

/******Admin Dashboard/Admin Order/Admin Riders/Admin Customer/Driver Dashboard**********/

.modal-dialog {
  /* width: 100%; */
  justify-content: center;
}

.modal-content {
  padding: 20px;
}

.cancel-btn {
  border: 1px solid #003876;
  color: #003876;
}

.assignto-btn {
  color: #fff;
  background-color: #003876;
}

.assignto-btn:hover {
  color: #fff;
  background-color: #003876;
}

.modal-title {
  color: #003876;
}

.upload-photo-placeholder {
  width: 100px;
  height: 100px;
  border: 2px dashed #ced4da;
  border-radius: 0.25rem;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  background-color: #fff;
}

.upload-photo-placeholder i {
  font-size: 2.5rem;
  color: #6c757d;
}

/* Order Details */
.order-detail-row {
  background-color: #fff;
  border-radius: 10px;
  padding: 10px;
}

.order-detail-card {
  border-radius: 10px;
  padding: 15px;
  background-color: #fff;
  box-shadow: 0px 4px 4px 0px #0000000a;
}

.order-detail-card h5 {
  font-weight: 400;
  font-size: 1rem;
}

.order-detail-card p {
  font-size: 2.5rem;
  font-weight: 600;
  color: #000;
}

.download-btn {
  border: 1px solid #3b90f8;
  border-radius: 8px;
  padding: 10px 20px;
  text-decoration: none;
}

.order-summary .order-info h6 {
  font-weight: 400;
  font-size: 1rem;
  text-wrap: nowrap;
}

.order-summary .order-info p {
  font-weight: 600;
  font-size: 0.9rem;
  color: #003876;
  text-wrap: nowrap;
  padding-left: 35px;
}

.order-icon {
  background-color: #0038761a;
  border-radius: 8px;
  padding: 10px;
}

.order-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.box-icon {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #00b07426;
  display: flex;
  align-items: center;
  justify-content: center;
}

.box-icon img {
  width: 30px;
  height: 30px;
}

/* Order View Page */
.admin-view-order {
  color: #000;
}

/* Order View Page Ends */

/* Table Styles */
.custom-table th {
  font-size: 1rem;
  font-weight: 600;
  padding: 14px;
  color: #8a92a6;
}

.custom-table thead {
  background-color: #f9fafb;
}

.custom-table td {
  font-size: 0.8rem;
  font-weight: 600;
  color: #232d42;
  padding: 18px;
}

.custom-table tbody tr .status-completed {
  color: #027800;
}

.custom-table tbody tr .status-pending {
  color: #cd2020;
}

.custom-table tbody tr .status-assigned {
  color: #feaf15;
}

.custom-table tbody tr .status-notassign {
  color: #003876;
}

.order-delievered-card {
  box-shadow: 0px 2px 4px -2px #1018280d;
  border: 1px solid #8a92a6;
  border-radius: 8px;
}

.assign-btn {
  border: 1px solid #003876;
  border-radius: 4px;
  padding: 5px;
  background-color: #fff;
  color: #003876;
  text-decoration: none;
  text-wrap: nowrap;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
  background-color: #003876;
}

.nav-pills .nav-link {
  background-color: #fff;
  border: 1px solid #003876;
  color: #003876;
  text-wrap: nowrap;
}

/* rider modal */
.rider-btn {
  background-color: #003876;
  border: 1px solid #003876;
  border-radius: 6px;
  text-decoration: none;
  color: #fff;
  padding: 10px;
}

.rider-modal-content {
  padding: 20px;
}

.sign-txt {
  font-size: 1.5rem;
  font-weight: 600;
  color: #003876;
}

.rider-label {
  font-size: 1rem;
  font-weight: 600;
  color: #2f3d4c;
}

.save-btn {
  background-color: #003876;
  color: #fff;
  border-radius: 8px;
  padding: 16px;
}

.save-btn:hover {
  background-color: #003876;
  color: #fff;
  border-radius: 8px;
  padding: 16px;
}

/*******Admin Profile*********/

/* My Profile */

.avatar {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  cursor: pointer;
  border: 3px solid #003876;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.profile-text h5 {
  font-weight: 600;
  font-size: 1.5rem;
}

.profile-text p {
  font-weight: 400;
  font-size: 0.875rem;
  color: #999999;
}

.edit-btn {
  text-decoration: none;
  color: #003876;
  border: 1px solid #003876;
  border-radius: 8px;
  padding: 10px 25px;
  background-color: #fff;
  box-shadow: 0px 4px 50px 0px #00000014;
}

.details-card .form-label {
  font-size: 1rem;
  font-weight: 500;
  color: #828282;
  text-wrap: nowrap;
}

.form-control {
  border-radius: 8px;
  background-color: #fafafa;
  border: 1px solid #fafafa;
  height: 45px;
  color: #b3b3b3;
  width: 100%;
  max-width: 600px;
  font-weight: 400;
  font-size: 0.9rem;
}

.form-control:focus {
  box-shadow: none;
  border: 1px solid #003876;
  background-color: #fff;
}

.user-details {
  box-shadow: 0px 3px 50px 0px #00000014;
  border-radius: 12px;
  background-color: #fff;
  padding: 20px;
}

/*******Admin Edit Profile*********/

.update-btn {
  text-decoration: none;
  color: #fff;
  border: 1px solid #003876;
  border-radius: 8px;
  padding: 10px 25px;
  background-color: #003876;
  box-shadow: 0px 4px 50px 0px #00000014;
}

/*******Assigned Courier********/

.location {
  width: 50px;
  height: 30px;
  background-color: #0038761a;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
}

.location-title {
  font-size: 1rem;
  font-weight: 400;
}

.address {
  font-size: 1rem;
  font-weight: 400;
  color: #003876;
}

.receiver-name {
  font-size: 1.1rem;
  font-weight: 400;
  color: #898989;
}

/********Update Delivery*********/

.otp-section2 span {
  font-size: 1rem;
  font-weight: 400;
}

.btn-update:hover {
  border: 1px solid #9dcbff00;
  background-color: #00264d;
  border-radius: 8px;
  padding: 8px 20px;
  color: #fff;
}

.btn-update {
  border: 1px solid #9dcbff00;
  background-color: #00264d;
  border-radius: 8px;
  padding: 8px 20px;
  color: #fff;
}

.form-select {
  background-color: #e8f3ff;
}

.form-select:focus {
  background-color: #fff !important;
}

.btn-next {
  background-color: #00264d;
  color: #fff;
}

.btn-next:hover {
  background-color: #00264d;
  color: #fff;
}

/***********location1*********/

.otp-section2 p {
  color: #000000;
  font-size: 1.25rem;
  font-weight: 500;
}

/* Tabs */
.country-tabs .nav-link {
  background-color: #e9eff8;
  color: #000;
  margin-right: 5px;
  font-weight: 500;
}

.country-tabs .nav-link.active {
  background-color: #00264d;
  color: #fff;
}

/* Step Indicator */
.step-number {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  background-color: #fff;
  border: 2px solid #00264d;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  color: #00264d;
  margin-right: 10px;
  transition: all 0.3s ease;
  flex-shrink: 0;
}

.step-number.active {
  background-color: #00264d;
  color: #fff;
}

.step-line {
  flex: 1;
  height: 2px;
  background-color: #ccc;
  transition: all 0.3s ease;
}

.step-line.active {
  background-color: #00264d;
}

/* Location box */
.location-box input {
  background-color: #e5f1ff;
  border: 1px solid #cbd5e0;
  border-radius: 5px;
  padding: 10px 15px;
}

.location-box input[value="Noida One"] {
  padding: 10px 35px;
}

.location-box i {
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translateY(-50%);
}

.dashed-hr {
  border: none;
  border-top: 2px dashed #747474;
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
}

.form-check-input {
  border-color: #00264d;
}

.form-check-input:checked[type="checkbox"] {
  background-color: #00264d;
}

.payment-box {
  border-radius: 10px;
  box-shadow: 0px 0px 6px 1px #00000026;
  padding: 10px;
  width: 100%;
  height: 320px;
}

.payement-details {
  border: 1px solid #cecece;
  background-color: #f9f9f9;
  border-radius: 10px;
  padding: 10px;
}

/******Orders******/
.order-track-btn {
  background-color: #003876;
  color: #fff;
  border-radius: 8px;
  padding: 10px 30px;
  text-decoration: none;
  cursor: pointer;
}

.order {
  color: #000;
  font-size: 1.563rem;
  font-weight: 700;
}

/* Pagination Of tables */
.dataTables_paginate {
  display: flex;
  justify-content: space-between;
  padding-bottom: 1rem;
}

.dataTables_paginate a {
  text-decoration: none;
  color: #000;
  padding: 0.5rem 1rem;
  border: 1px solid #D0D5DD;
  border-radius: 8px;
  cursor: pointer;
  transition: 0.5s ease-in-out;
}

.dataTables_paginate a:hover {
  color: #fff;
  background-color: #003366;
}

.dataTables_paginate span a {
  margin: 0rem 0.3rem;
}

@media (max-width: 991px) {
  .dataTables_paginate span {
    display: none;
  }
}

/*******track-order*********/

/* track order section */

.shipment {
  border: 1px solid #b3b3b3;
  padding: 20px;
  border-radius: 10px;
}

.shipment p {
  font-size: 1.2rem;
  font-weight: 600;
}

.shipment span {
  font-size: 0.9rem;
  font-weight: 400;
  color: #575757;
}

.shipment-row {
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
}

.track-order {
  border: 1px solid #9dcbff00;
  background-color: #003876;
  color: #fff;
  border-radius: 8px;
  padding: 12px 16px;
  text-decoration: none;
  text-wrap: nowrap;
}

/* Shipment Details */

.timeline-container {
  margin: 60px auto;
  background: #fff;
  padding: 40px;
  border-radius: 10px;
}

.timeline-header h4 {
  font-weight: 600;
  margin-bottom: 5px;
  font-size: 1.2rem;
}

.timeline-header p {
  color: #6c757d;
  margin-bottom: 25px;
  font-size: 1rem;
}

.timeline {
  position: relative;
  margin-left: 25px;
}

.timeline::before {
  content: "";
  position: absolute;
  left: 15px;
  top: 0;
  width: 2px;
  height: 100%;
  background: #dee2e6;
}

.timeline-item {
  position: relative;
  padding-left: 60px;
  margin-bottom: 30px;
}

.timeline-item:last-child {
  margin-bottom: 0;
}

/* Circle with number */
.timeline-badge {
  position: absolute;
  left: -1px;
  top: 0;
  width: 32px;
  height: 32px;
  background: #fff;
  border: 2px solid #dee2e6;
  border-radius: 50%;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  color: #495057;
  transition: all 0.3s ease;
}

/* Active first step with check icon */
.timeline-item.active .timeline-badge {
  background-color: #003876;
  border-color: #003876;
  color: #fff;
  font-size: 1rem;
}

.timeline-item h6 {
  font-weight: 600;
  margin-bottom: 3px;
}

.timeline-item p {
  margin: 0;
  font-size: 0.938rem;
  color: #495057;
}

.timeline-item small {
  color: #6c757d;
  font-size: 0.875rem;
}

/*****Edit Profile/Update Profile*******/

/* avatar edit */

.avatar {
  width: 150px;
  height: 150px;
  border-radius: 100%;
  cursor: pointer;
  border: 3px solid #003876;
  overflow: hidden;
  display: inline-block;
  position: relative;
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.avatar-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  transition: opacity 0.25s;
}

.avatar:hover .avatar-overlay {
  opacity: 1;
}

.avatar-overlay i {
  color: #fff;
  font-size: 32px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.hidden {
  display: none !important;
}

.form-select,
.form-control {
  padding: 5px 10px;
  font-size: 17px !important;
}

textarea.form-control {
  height: 100px;
}

.big-radio {
  transform: scale(1.5);
  -webkit-transform: scale(1.5);
  -moz-transform: scale(1.5);
  -ms-transform: scale(1.5);
  -o-transform: scale(1.5);
  margin-right: 10px;
}

th {
  min-width: 100px;
}

.order-card {
  transition: transform 0.3s ease-in-out;
}

.order-card:hover {
  transform: translateY(-10px);
}

select {
  width: 94.5% !important;
}


.view-details {
  text-decoration: none;
  color: #fff;
  border: 1px solid #003876;
  border-radius: 5px;
  padding: 5px 10px;
  background-color: #003876;
  box-shadow: 0px 4px 50px 0px #00000014;
  transition: 0.3s ease-in-out;
}

.view-details:hover {

  color: #003876;
  border: 1px solid #003876;
  background-color: transparent;
}

.card-body .card-content {
  overflow: auto;
}

.bi-trash3-fill {
  color: red;
}

.active>.page-link,
.page-link.active {
  background-color: #003366 !important;
  border-color: #003366 !important;
}

.page-link {
  color: #000;
}

input {
  /* background-color: #fff !important; */
  /* padding: 1rem !important; */
  border: 1px solid #5f5f5f !important;
}

input:focus {
  outline: none !important;
  border: 1px solid #003366 !important;
  box-shadow: none !important;
}

textarea {
  /* background-color: #fff !important; */
  padding: 1rem !important;
  border: 1px solid #686868 !important;
  width: 100%;
}

textarea:focus {
  outline: none !important;
  border: 1px solid #003366 !important;
  box-shadow: none !important;
}

/* select{
  background-color: #fff !important;
  padding: 1rem !important;
} */
select:focus {
  outline: none !important;
  border: 1px solid #003366 !important;
  box-shadow: none !important;
}

.dt-search {
  display: flex;
  align-items: center;
  gap: 10px;
}


@media screen and (min-width: 1200px) {
  .table-responsive {
    overflow: hidden;
  }
}

.modal-content {
  width: 90% !important;
}

.btn-primary {
  text-decoration: none;
  color: #fff;
  border: 1px solid #003876;
  border-radius: 8px;
  padding: 5px 10px;
  background-color: #003876;
  box-shadow: 0px 4px 50px 0px #00000014;
}

table .badge {
  width: 120px;
}

select {
  background-color: transparent !important;
  padding: 5px !important;
}

.form-select {
  border-color: #000 !important;
}

.notification-system-s {
  display: none;
}

@media (max-width: 600px) {
  .notification-system-l {
    display: none !important;
  }

  .notification-system-s {
    display: block !important;
  }

  .topbar .topbar-container {
    width: 100%;
    justify-content: space-between;
  }

  .name-badge{
    padding-right: 1rem;
  }
}

.form-check-input:checked {
  background-color: #003876;
}

input:internal-autofill-selected {
  background-color: transparent !important;
}
.btn-primary:hover{background-color: #00264d !important;}
.btn-outline-primary{
  border: 1px solid #00264d;
  color: #00264d;
}
.btn-outline-primary:hover{
  background-color: #00264d !important;
}
.btn-outline-primary{
  --bs-btn-active-bg: #00264d !important;
  border: 1px solid #00264d !important;
}

.btn-danger{
  color: #ffff !important;
}